directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Seelmann <m...@stefan-seelmann.de>
Subject Re: OSGi Tests for API
Date Mon, 22 Dec 2014 11:32:51 GMT
On 12/20/2014 06:40 PM, Stefan Seelmann wrote:
> I'm finally done with creating the tests. The main thing they test is to
> start on OSGi container and install all bundles of the LDAP API to
> verify the the bundles are valid an and dependencies can be wired.
> 
> I'll move it now from my sandbox to the API trunk as new maven module
> and make it part of the main build.

Hi guys,

I just wanted to ask if the shared/API project build works for you,
especially the new integ-osgi module I added. It worked for me, but now
I wiped my .m2/repository (because of some strange behaviour, I'll write
more about that later) and the OSGi tests fail now:

ERROR: Bundle org.apache.directory.api.ldap.codec.core [18] Error
starting
file:/tmp/1419246180714-0/bundles/org.apache.directory.api.ldap.codec.core_1.0.0.M27-SNAPSHOT.jar
(org.osgi.framework.BundleException: Unresolved constraint in bundle
org.apache.directory.api.ldap.codec.core [18]: Unable to resolve 18.0:
missing requirement [18.0] osgi.wiring.package;
(&(osgi.wiring.package=org.apache.directory.api.ldap.model.entry)(version>=1.0.0.M27-SNAPSHOT))
[caused by: Unable to resolve 42.0: missing requirement [42.0]
osgi.wiring.package; (&(osgi.wiring.package=antlr)(version>=2.7.7))])

I'll continue to investigate...

Kind Regards,
Stefan


Mime
View raw message